// Emacs style mode select   -*- C++ -*-
//-----------------------------------------------------------------------------
//
// Copyright(C) 2002 Florian Schulze, Simon Howard, James Haley
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
// 
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
//----------------------------------------------------------------------------
//
// DESCRIPTION:
//
// Windows MCI MIDI Interface
//
//----------------------------------------------------------------------------

#ifndef __I_MUSIC_H__
#define __I_MUSIC_H__

char *SafemciSendString(char *cmd);

void Win_InitMusic(void);
void Win_PlaySong(int, int);
void Win_PauseSong(int);
void Win_ResumeSong(int);
void Win_StopSong(int);
void Win_UnRegisterSong(void);
int  Win_RegisterSong(void);

extern int MusicLoaded;
extern int MusicLoop;
extern MIDI mididata;

#endif

// EOF